Subject: [TR] Sad news

From: "Randall" <[email-masked]>
Date: Wed, 5 Dec 2018 21:46:19 -0800

-----Original Message-----

I just wanted to let you know that Hugh passed away on 11/11/2018.  He lost
his battle with Acute Lymphoblastic Leukemia that he had been diagnosed with
in June.
I may send out a message when it comes time to part with his '73 TR6 so this
group may be getting an e-mail from me at that time.  Thank you,

Yvonne Barber
540-907-0740
[email-masked]

** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive

tox.team.net